part of masamune;

/// Show modal.
///
/// ```
/// UIModal.show( context );
/// ```
class UIModal {
  const UIModal._();

  /// Show modal.
  static Future<void> show(
    BuildContext context, {
    required Widget child,
    bool disableBackKey = false,
    bool barrierDismissible = true,
  }) async {
    await showDialog(
      context: context,
      barrierDismissible: barrierDismissible,
      builder: (context) {
        return Material(
          type: MaterialType.transparency,
          child: SafeArea(
            child: WillPopScope(
              onWillPop: disableBackKey ? () async => true : null,
              child: Center(
                child: child,
              ),
            ),
          ),
        );
      },
    );
  }
}
